Subject: Re: Pine freezes when opening folders

From: Vivia Nikolaidou <[email-masked]>
Date: Mon, 6 Dec 2004 19:55:26 +0200 (EET)

On Thu, 18 Nov 2004, Matt Ackeret wrote:

> On Fri, 19 Nov 2004, Vivia Nikolaidou wrote:
>> I am running Pine 4.61 on a Slackware 9 system (had tried earlier versions with
>> the same problem), where the mailserver is localhost. After opening a folder
>> and viewing a message, Pine sometimes doesn't change the status bar [Folder
>> foldername opened with] etc. When I try to delete this folder, open another, or
>> even quit pine, as soon as I type the corresponding command, the status bar
>> changes to [<Folder foldername opened>] (less-than and greater-than signs
>> appear) and Pine stops responding. My only option is to kill Pine from another
>> console and restart it. After I do this, any characters I had typed after the
>
> Maybe running pine under gdb, reproducing the hang, then hitting control-C
> and then
>
> thread apply all bt
> in gdb might give some useful information of where pine is hung.
>

I was just able to reproduce the hang under gdb (murphy's law. when you 
want things to go wrong, they just don't!)
Then hitting ctrl-c did nothing at all. I killed pine from another shell 
as usual and then "thread apply all bt", but it didn't show anything. (OK, 
maybe this would only have worked with ctrl-c, but I don't know how to use 
gdb)